Package org.gradle.api.resources

## Class MissingResourceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.api.resources.ResourceException
          - - org.gradle.api.resources.MissingResourceException

- All Implemented Interfaces:
    `Serializable`

      public class MissingResourceException
      extends ResourceException

  Exception thrown when the resource does not exist
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MissingResourceException​(String message)` |
    `MissingResourceException​(String message, Throwable cause)` |
    `MissingResourceException​(URI location, String message)` |
    `MissingResourceException​(URI location, String message, Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class org.gradle.api.resources.ResourceException

      `getLocation`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MissingResourceException

          public MissingResourceException​(String message)

    - #### MissingResourceException

          public MissingResourceException​(String message,
                                          Throwable cause)

    - #### MissingResourceException

          public MissingResourceException​(URI location,
                                          String message)

    - #### MissingResourceException

          public MissingResourceException​(URI location,
                                          String message,
                                          Throwable cause)